curl --request GET \
--url https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/account_owners \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/account_owners"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/account_owners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_owners": [
{
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"address": "3541 Adrian Street",
"city": "Middlesex",
"country": "US",
"email": "example@example.com",
"first_name": "Josh",
"guid": "ACO-63dc7714-6fc0-4aa2-a069-c06cdccd1af9",
"last_name": "Smith",
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"owner_name": "Josh Smith",
"phone": "555-555-5555",
"postal_code": "00000-0000",
"state": "VA",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List account owners by member
Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20250224"
Path Parameters
Use either the member id you defined or the MX-defined member guid. See MX-Defined GUIDs vs IDs Defined by You.
Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
OK
Hide child attributes
Hide child attributes
The unique identifier for an account. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The account owner's street address.
"3541 Adrian Street"
The account owner's city.
"Middlesex"
The account owner's country.
"US"
The email address associated with the account.
"example@example.com"
The account owner's first name. This may also include a middle name. This field will be null unless name splitting has been enabled. Contact MX to have this feature enabled.
"Josh"
Unique identifier for the account owner. Defined by MX.
"ACO-63dc7714-6fc0-4aa2-a069-c06cdccd1af9"
The last name of the account holder.
"Smith"
The unique identifier for the member. Defined by MX.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
The account owner's name.
"Josh Smith"
The account owner's phone number.
"555-555-5555"
The account owner's postal code.
"00000-0000"
The account owner's state.
"VA"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
Hide child attributes
Hide child attributes
The page delivered by the current response.
1
The number of records delivered with each page.
25
The total number of records available.
1
The total number of pages available.
1

